<template>
  <transition name="fade">
    <div class="result-dialog" v-if="showResults">
      <div class="result-dialog__content">
        <span class="result-title">You win!</span>
        <span class="result-score">Score: {{ score }}</span>
        <span class="result-countdown">Starting in... {{ countdown }}</span>
      </div>
    </div>
  </transition>
</template>

<script>
export default {
  name: "ResultDialog",
  props: {
    showResults: {
      type: Boolean,
      required: false
    },
    score: {
      type: Number,
      required: false
    },
    countdown: {
      type: Number,
      required: false
    }
  }
};
</script>

<style lang="scss" scoped>
.result-dialog {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  display: flex;
  background: rgba(0, 0, 0, 0.4);
}
.result-dialog__content {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  padding: 100px;
  border-radius: 4px;
  background-color: #fff;
  padding: 20px;
  border-radius: 4px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-width: 200px;
  -webkit-box-shadow: 3px 3px 10px 5px rgba(160, 160, 160, 0.25);
  box-shadow: 3px 3px 10px 5px rgba(160, 160, 160, 0.25);
}
.result-dialog__content span {
  font-size: 1.2rem;
  margin: 20px 0;
}
span.result-title {
  font-size: 1.8rem;
  color: #52d19a;
  font-weight: 600;
}
span.result-countdown {
  font-size: 0.8rem;
  font-weight: bold;
  color: #b1b1b1;
  align-self: flex-end;
}
.fade-enter-active {
  transition: opacity 1s;
}
.fade-leave-active {
  transition: opacity 0.5s;
}
.fade-enter,
.fade-leave-to {
  opacity: 0;
}
</style>
